EUPL License


#1

I am unable to apply the EUPL-1.2 license to my snap even if I am able to chose it in the drop-down menu. Is there any reason for?


#2

Looking at the license list in spdx/licenses.go, it only lists EUPL-1.1.

That file references https://spdx.org/licenses/, which lists version 1.2 of the license and shows it to be OSI Approved like its predecessor. I guess someone just needs to update the license list then?


#3

Just so you’re not left holding your breath - there is no “the license list” - it would have to be updated in a few different places. Realistically, you should choose one of the licenses in the file referenced above, as the work to update this is not trivial and might not happen in a while.

Also see Keeping up with SPDX license identifier updates.

  • Daniel